OrderCanceled (3.14.0 310 API)
Date: 2018-05-30

com.marketfactory.zerogc.api

## Class OrderCanceled

- java.lang.Object
- - com.marketfactory.zerogc.api.OrderCanceled

- All Implemented Interfaces:
    IMessage, java.io.Serializable, java.lang.Comparable<OrderCanceled>

      public final class OrderCanceled
      extends java.lang.Object
      implements IMessage, java.lang.Comparable<OrderCanceled>, java.io.Serializable

  Trading Event: Indicates that an order was canceled, either by the user, or by the exchange.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `MFFloat` | `amount` A currency amount/size, in MFFloat format.
    `MFString` | `clOrdID` Client-provided order ID.
    `MFString` | `cxlID` Client-provided cancellation request ID.
    `MFString` | `exOrdID` Exchange order ID.
    `int` | `feedID` A unique identifier for the feed.
    `int` | `marketID` A market ID, which identifies a unique financial instrument.
    `MFString` | `modelID`
    `long` | `orderID` Internal order ID.
    `MFFloat` | `price` A currency price, in MFFloat format.
    `CancelReason` | `reason`
    `int` | `sequenceID` User sequence id.
    `Side` | `side`
    `MFString` | `text` The text the venue sent us if any.
    `long` | `timeApiClient` Timestamp at the client API (taken on the client host).
    `long` | `timeApiServer` Timestamp in the client handler within Whisperer.
    `long` | `timeExchange` Timestamp provided by the exchange.
    `long` | `timeHandler` Timestamp exiting the feed handler within Whisperer.

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `OrderCanceled()`
    `` | `OrderCanceled(int sequenceID, long orderID, MFString clOrdID, MFString exOrdID, MFString cxlID, MFString modelID, long timeExchange, long timeHandler, long timeApiServer, long timeApiClient, int feedID, int marketID, Side side, MFFloat amount, MFFloat price, CancelReason reason, MFString text)`
    `protected` | `OrderCanceled(ZeroGCProtoByteBuffer buffer)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(OrderCanceled rhs)`
    `void` | `deepCopy(OrderCanceled src)`
    `void` | `deserializeZeroGC(ZeroGCProtoByteBuffer buffer)`
    `protected void` | `dump(TextWriter wr)`
    `boolean` | `equals(java.lang.Object rhs)`
    `int` | `getMsgType()`
    `int` | `hashCode()`
    `void` | `serialize(ZeroGCProtoByteBuffer buffer)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### sequenceID

          public int sequenceID

      User sequence id.

    - #### orderID

          public long orderID

      Internal order ID.

    - #### clOrdID

          public MFString clOrdID

      Client-provided order ID.

    - #### exOrdID

          public MFString exOrdID

      Exchange order ID.

    - #### cxlID

          public MFString cxlID

      Client-provided cancellation request ID.

    - #### modelID

          public MFString modelID

    - #### timeExchange

          public long timeExchange

      Timestamp provided by the exchange.

    - #### timeHandler

          public long timeHandler

      Timestamp exiting the feed handler within Whisperer.

    - #### timeApiServer

          public long timeApiServer

      Timestamp in the client handler within Whisperer.

    - #### timeApiClient

          public long timeApiClient

      Timestamp at the client API (taken on the client host).

    - #### feedID

          public int feedID

      A unique identifier for the feed.

    - #### marketID

          public int marketID

      A market ID, which identifies a unique financial instrument.

    - #### side

          public Side side

    - #### amount

          public MFFloat amount

      A currency amount/size, in MFFloat format.

    - #### price

          public MFFloat price

      A currency price, in MFFloat format.

    - #### reason

          public CancelReason reason

    - #### text

          public MFString text

      The text the venue sent us if any.

  - ### Constructor Detail

    - #### OrderCanceled

          public OrderCanceled()

    - #### OrderCanceled

          protected OrderCanceled(ZeroGCProtoByteBuffer buffer)

    - #### OrderCanceled

          public OrderCanceled(int sequenceID,
                               long orderID,
                               MFString clOrdID,
                               MFString exOrdID,
                               MFString cxlID,
                               MFString modelID,
                               long timeExchange,
                               long timeHandler,
                               long timeApiServer,
                               long timeApiClient,
                               int feedID,
                               int marketID,
                               Side side,
                               MFFloat amount,
                               MFFloat price,
                               CancelReason reason,
                               MFString text)

  - ### Method Detail

    - #### getMsgType

          public int getMsgType()

      Specified by:
        `getMsgType` in interface `IMessage`

    - #### deepCopy

          public void deepCopy(OrderCanceled src)

    - #### equals

          public boolean equals(java.lang.Object rhs)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(OrderCanceled rhs)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<OrderCanceled>`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### deserializeZeroGC

          public void deserializeZeroGC(ZeroGCProtoByteBuffer buffer)

      Specified by:
        `deserializeZeroGC` in interface `IMessage`

    - #### serialize

          public void serialize(ZeroGCProtoByteBuffer buffer)

      Specified by:
        `serialize` in interface `IMessage`

    - #### toString

          public java.lang.String toString()

      Specified by:
        `toString` in interface `IMessage`
      Overrides:
        `toString` in class `java.lang.Object`

    - #### dump

          protected void dump(TextWriter wr)